Subject: Re: bug#34842: 26.1; Alist documentation: let-alist

From: "Basil L. Contovounesios" <[email-masked]>
Date: Sun, 13 Oct 2019 13:17:51 +0100

Lars Ingebrigtsen <[email-masked]> writes:

> "Basil L. Contovounesios" <[email-masked]> writes:
>
>> Thanks.  The following constitute what I think are some opportunities
>> for clarifying the current doc.  WDYT?
>
> Looks good to me, but:

Thanks.

>> +@samp{.} are bound.  Each such @var{.symbol} is bound to the @sc{cdr}
>> +of the first association for @var{symbol} in @var{alist} using
>> +@code{assq}.  If no such association exists, @var{.symbol} is bound to
>> +@code{nil}:
>>
>> +@lisp
>> +(let-alist colors
>> +  .tulip)
>> +     @result{} nil
>> +@end lisp
>
> This bit seems superfluous.  (cdr (assq ...)) is nil when no such
> association exists, but this makes it sound like that's a special case
> somehow...

It's just making it explicit without having to refer to specifics of the
implementation.  I think it's a common style in the docs, but I don't
feel strongly about it.  Would you rather remove the example, the
sentence, or both?

-- 
Basil